#include <iostream>
#include <vector>

using namespace std;

int main() {
    int brs, pv; // broj stalaktita i visinu Perice
    cin >> brs >> pv;
    vector<int> vs(brs); // ucitava visine stalaktita
    
    for (int i = 0; i < brs; i++) {
        cin >> vs[i];
    }
    
    // prolazi kroz svaki stalaktit
    for (int i = 0; i < brs; i++) {
        // ako je stalaktit niži ili iste visine kao Perica
        if (vs[i] <= pv) {
            // ispisuje koji stalaktit ga je zaustavio
            cout << i + 1 << endl; // indeks je 1-based
            return 0; // prekid zato što je naišao na prepreku
        }
    }

    // ako može da prode kroz sve stalaktite
    cout << -1 << endl;
    return 0;
}